Bug 5695 - problem with local user id and streaming in globusrun-ws
: problem with local user id and streaming in globusrun-ws
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.1.2
: Macintosh All
: P3 normal
: 4.2
Assigned To:
:
:
: 5457
:
  Show dependency treegraph
 
Reported: 2007-11-30 00:39 by
Modified: 2008-05-01 14:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-30 00:39:01
A local user id specified in a ws-gram job description seems not
to be used by globusrun-ws when it uses gridftp to stream output.

Streaming only works if the username specified in the localUserId
element is the first one in the comma separated mapping to a DN
in the grid-mapfile.

Otherwise output created by a job and the streaming of this
output is done with different local user ids: the job is executed
under the specified local user id, and the streaming seems to happen
with the first user id belonging to a DN in the grid-mapfile

This causes authorization problems like

freitag@udo-gt01:~/jobs/xml/whoami> globusrun-ws  -submit -F
udo-gt01.grid.uni-dortmund.de -Ft PBS  -f whoami_dt.xml -s
Delegating user credentials...Done.
Submitting job...Done.
Job ID: uuid:0e4e7970-86c8-11dc-b851-0050560bd129
Termination time: 10/31/2007 09:11 GMT
Current job state: Pending
Current job state: Active
Current job state: CleanUp-Hold
globusrun-ws: ignoring error while streaming

gsiftp://udo-gt01.grid.uni-dortmund.de:2811/home/dt0031/0e4e7970-86c8-11dc-b851-0050560bd129.0.stdout:
globus_ftp_client: the server responded with an error
500 500-Command failed. : globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file
/home/dt0031/0e4e7970-86c8-11dc-b851-0050560bd129.0.stdout
500-globus_xio: System error in open: Permission denied
500-globus_xio: A system call failed: Permission denied
500 End.

globusrun-ws: ignoring error while streaming

gsiftp://udo-gt01.grid.uni-dortmund.de:2811/home/dt0031/0e4e7970-86c8-11dc-b851-0050560bd129.0.stderr:
[globus_ftp_control]:globus_ftp_control_data_connect_read():transfer handle
does not exist
Current job state: CleanUp
Current job state: Failed
Destroying job...Done.
Cleaning up any delegated credentials...Done.

Note that currently just executing a job under a local user id, which
is not the first local user id entry of a mapping in the grid-mapfile,
without streaming output fails.
So the example above worked only with a patch provided by Mike.
See bug 5457 for this.
Mikes fix has not yet been committed to cvs.
------- Comment #1 From 2008-05-01 14:47:43 -------
Added code to set the localUserId value to the gridftp attribtute so that
streaming will use the same name as the job. Also added the user name to the
RFT DeleteOptions used to clean up the temporary files used for streaming.